Subject: Re: [PATCH 1/2] fsck_handle_reflog_sha1(): new function

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Jun 2015 08:07:45 -0700

Michael Haggerty <[email-masked]> writes:

> New function, extracted from fsck_handle_reflog_ent(). The extra
> is_null_sha1() test for the new reference is currently unnecessary, as
> reflogs are deleted when the reference itself is deleted. But it
> doesn't hurt, either.

I think we would crash with today's code in such a situation, but
wouldn't we want to diagnose a 0{40} object name on the "new" side
of the reflog entry as an error in the endgame state?

I do share uneasiness with Dscho that this is tightening what used
to be an OK state into an error, but I haven't thought about how
serious it would be.

Thanks.